Subject: bug#52603: closed (Re: bug#52603: [PATCH 0/2] Flag missing netmasks early on)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Dec 2021 15:29:02 +0000

Your bug report

#52603: [PATCH 0/2] Flag missing netmasks early on

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52603: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52603
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52603: [PATCH 0/2] Flag missing netmasks early on
From: Ludovic Courtès <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Dec 2021 16:28:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Mathieu Othacehe <[email-masked]> skribis:

>> To avoid this, this patch flags it at expansion time (if possible) or
>> at run time, before the machine configuration is built.
>>
>> Did I go overboard with ‘define-compile-time-procedure’?  I don’t think
>> so :-), I think it will serve us more than once.
>
> I tested this series, works fine! It is still possible to pass incorrect
> netmasks (negative, > 32 for IPv4), but they should be way less frequent
> than forgetting to add a netmask.

Yeah…

Pushed as 4df584aeac56fb6575ba43bc94f60f04522caf88, thanks for testing!

Ludo’.

Subject: [PATCH 0/2] Flag missing netmasks early on
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Sat, 18 Dec 2021 18:02:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

As discussed yesterday on IRC, I mistakenly configured a machine with
something like:

  (network-address
    (device "eno1")
    (value "1.2.3.4"))

This results in having a “/0” subnet, thereby preventing the addition
of a route without a clear diagnostic from Guile-Netlink or ‘ip’.

To avoid this, this patch flags it at expansion time (if possible) or
at run time, before the machine configuration is built.

Did I go overboard with ‘define-compile-time-procedure’?  I don’t think
so :-), I think it will serve us more than once.

Thoughts?

Ludo’.

Ludovic Courtès (2):
  combinators: Add 'define-compile-time-procedure'.
  services: static-networking: Sanitize <network-address> values.

 gnu/services/base.scm | 28 ++++++++++++++++++++++--
 guix/combinators.scm  | 50 +++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 74 insertions(+), 4 deletions(-)

base-commit: 4204156eb4c1afd5365ef505e356f87daa91787d
-- 
2.33.0